RoutesCheckouts module
Checkouts routes
URLs the Checkouts module answers, their parameters and the variables each view receives.
Templates view
GET
/checkout/
showSinglePageCheckout
Process request to get a checkout
| Variable | Type | Description |
|---|---|---|
$checkout |
Checkout |
The checkout model |
$metadataFields |
ModelsCollection |
List of metadata fields |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
GET
/checkout/complete/{uuid}
checkoutComplete
Path parameters
uuid matches [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}
| Variable | Type | Description |
|---|---|---|
$order |
Order |
The order relating to the uuid |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
Only GET routes list their variables.